## org.mortbay.jetty
Class LocalConnector

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.AbstractBuffers
              org.mortbay.jetty.AbstractConnector
                  org.mortbay.jetty.LocalConnector

All Implemented Interfaces:
  LifeCycle, Buffers, Connector

    public class LocalConnector

extends AbstractConnector

Field Summary

Fields inherited from class org.mortbay.jetty.AbstractConnector
`_lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

Fields inherited from class org.mortbay.jetty.AbstractBuffers
`_loss, BUFFER_LOSS_RATE`

Constructor Summary
`LocalConnector()`

Method Summary
`protected void` `accept(int acceptorID)`
`void` `clear()`
`void` `close()`
`void` `doStart()`
`Object` `getConnection()`
`int` `getLocalPort()`
`ByteArrayBuffer` `getResponses(ByteArrayBuffer buf, boolean keepOpen)`
`String` `getResponses(String requests)`
`String` `getResponses(String requests, boolean keepOpen)`
`protected Buffer` `newBuffer(int size)`
`void` `open()` Opens the connector
`void` `reopen()`
`void` `setServer(Server server)`

Methods inherited from class org.mortbay.jetty.AbstractConnector

`configure, connectionClosed, connectionOpened, customize, doStop, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationAve, getConnectionsDurationMax, getConnectionsDurationMin, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsOpenMin, getConnectionsRequestsAve, getConnectionsRequestsMax, getConnectionsRequestsMin, getHost, getIntegralPort, getIntegralScheme, getLowResourceMaxIdleTime, getMaxIdleTime, getName, getPort, getRequests, getResolveNames, getReuseAddress, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isConfidential, isIntegral, join, newContinuation, persist, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setHost, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setMaxIdleTime, setName, setPort, setResolveNames, setReuseAddress, setSoLingerTime, setStatsOn, setThreadPool, statsReset, stopAccept, toString`

Methods inherited from class org.mortbay.jetty.AbstractBuffers
`getBuffer, getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, returnBuffer, setHeaderBufferSize, setRequestBufferSize, setResponseBufferSize`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.Connector
`getHeaderBufferSize, getRequestBufferSize, getResponseBufferSize, setHeaderBufferSize, setRequestBufferSize, setResponseBufferSize`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from interface org.mortbay.io.Buffers
`getBuffer, returnBuffer`

Constructor Detail

### LocalConnector

    public LocalConnector()

Method Detail

### getConnection

    public Object getConnection()

  Returns:
    the underlying socket, channel, buffer etc. for the connector.

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Connector`
  Overrides:
    `setServer` in class `AbstractConnector`

### clear

    public void clear()

### reopen

    public void reopen()

### doStart

    public void doStart()
                 throws Exception

  Overrides:
    `doStart` in class `AbstractConnector`
  Throws:
    `Exception`

### getResponses

    public String getResponses(String requests)
                        throws Exception

  Throws:
    `Exception`

### getResponses

    public String getResponses(String requests,
                               boolean keepOpen)
                        throws Exception

  Throws:
    `Exception`

### getResponses

    public ByteArrayBuffer getResponses(ByteArrayBuffer buf,
                                        boolean keepOpen)
                                 throws Exception

  Throws:
    `Exception`

### newBuffer

    protected Buffer newBuffer(int size)

  Specified by:
    `newBuffer` in class `AbstractBuffers`

### accept

    protected void accept(int acceptorID)
                   throws IOException,
                          InterruptedException

  Specified by:
    `accept` in class `AbstractConnector`
  Throws:
    `IOException`
    `InterruptedException`

### open

    public void open()
              throws IOException

  Description copied from interface: `Connector`
  Opens the connector

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### getLocalPort

    public int getLocalPort()

  Returns:
    The actual port the connector is listening on or -1 if there is no port or the connector is not open.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.